0 Replies Latest reply on Apr 1, 2013 10:18 AM by 906050

    Forward compatibility of occi application

    906050
      Hello,

      We have a occi application which is linked dynamically to occi lib on Solaris. Now during build we linked it with occi of Oracle 10.2.0.4 client but we want the same build to be able to run under Oracle 10G client as well as Oracle 11G client. But it seems that occi is not forward not backward compatible as name of dynamic occi lib has a version in it.

      e.g
      md1sisun26:/tools/oracle/10.2.0.4/lib->dump -Lv libocci.so

      libocci.so:

      **** DYNAMIC SECTION INFORMATION ****
      .dynamic:
      [INDEX] Tag Value
      [1] INIT 0xc6110
      [2] FINI 0xc62b8
      [3] SONAME libocci.so.10.1
      [4] RUNPATH TLD_GLOBAL
      [5] RPATH TLD_GLOBAL
      [6] HASH 0xe8
      [7] STRTAB 0x10488
      [8] STRSZ 0x1fb42
      [9] SYMTAB 0x41e8
      [10] SYMENT 0x18
      [11] CHECKSUM 0x25a3
      [12] PLTSZ 0x4c80
      [13] PLTREL 0x7
      [14] JMPREL 0x3c450
      [15] RELA 0x2ffd0
      [16] RELASZ 0x11100
      [17] RELAENT 0x18
      [18] REGISTER 0x72
      [19] REGISTER 0x86
      [20] FEATURE_1 PARINIT
      [21] FLAGS 0
      [22] FLAGS_1 [ DISPRELDNE ]
      [23] PLTGOT 0x1eb500
      md1sisun26:/tools/oracle/10.2.0.4/lib->ls -lrt libocci.so
      lrwxrwxrwx 1 oracle 15 Aug 10 2010 libocci.so -> libocci.so.10.1*


      As you can see when we run our occi application under Oracle 11G client it fails as there is no libocci.so.10.1 . Can anyone suggest a solution?

      Thanks
      Niraj Rathi